import { IFilesMutate, IFileStat, INodeFileStat, IFinderOptions } from '@files-stack/client-core';
import { FilesAction as Action } from '../actions';
declare function refresh(state: number, action: Action): number;
declare function selectedFile(state: IFileStat, action: Action): IFileStat;
declare function rootpath(state: string, action: Action): string;
declare function mutateFiles(state: IFilesMutate, action: Action): IFilesMutate;
declare function dragOveredFile(state: INodeFileStat, action: Action): INodeFileStat;
declare function editorsExpand(state: boolean, action: Action): boolean;
declare function subscriber(state: any, action: Action): any;
declare function creatingFile(state: any, action: Action): any;
declare function treeData(state: any, action: Action): any;
declare function rootExpand(state: boolean, action: Action): boolean;
declare function finderOptions(state: IFinderOptions, action: Action): IFinderOptions;
declare function reloadTreeData(state: boolean, action: Action): boolean;
export declare const filesReducers: {
    '@files/selectedFile': typeof selectedFile;
    '@files/rootpath': typeof rootpath;
    '@files/refresh': typeof refresh;
    '@files/mutate': typeof mutateFiles;
    '@files/dragOveredFile': typeof dragOveredFile;
    '@files/editorsExpand': typeof editorsExpand;
    '@files/rootExpand': typeof rootExpand;
    '@files/subscriber': typeof subscriber;
    '@files/creatingFile': typeof creatingFile;
    '@files/treeData': typeof treeData;
    '@files/finderOptions': typeof finderOptions;
    '@files/reloadTreeData': typeof reloadTreeData;
};
export {};
